#include "sys.h"
#include "delay.h"
#include "usart.h"
#include "led.h"
#include "timer.h"
#include "FreeRTOS.h"
#include "task.h"
#include "debug_cmdshell.h"
#include "stabilizer.h"

//ȼ
#define START_TASK_PRIO		1
//ջС	
#define START_STK_SIZE 		128  
//
TaskHandle_t StartTask_Handler;
//
void start_task(void *pvParameters);


//ȼ
#define TASK2_TASK_PRIO		3
//ջС	
#define TASK2_STK_SIZE 		512  
//
TaskHandle_t Task2Task_Handler;
//
void task2_task(void *pvParameters);






int main(void)
{
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_4);//ϵͳжȼ4	 
	delay_init();	    				//ʱʼ	 
	uart_init(115200);					//ʼ
	LED_Init();		  					//ʼLED
	stabilizerInit();
	//ʼ
    xTaskCreate((TaskFunction_t )start_task,            //
                (const char*    )"start_task",          //
                (uint16_t       )START_STK_SIZE,        //ջС
                (void*          )NULL,                  //ݸĲ
                (UBaseType_t    )START_TASK_PRIO,       //ȼ
                (TaskHandle_t*  )&StartTask_Handler);   //              
    vTaskStartScheduler();          //
}

//ʼ
void start_task(void *pvParameters)
{
    taskENTER_CRITICAL();           //ٽ

    xTaskCreate((TaskFunction_t )task2_task,     
                (const char*    )"task2_task",   
                (uint16_t       )TASK2_STK_SIZE,
                (void*          )NULL,
                (UBaseType_t    )TASK2_TASK_PRIO,
                (TaskHandle_t*  )&Task2Task_Handler);

	xTaskCreate(stabilizerTask, "STABILIZER", 450, NULL, 5, NULL);		/*̬*/				
    vTaskDelete(StartTask_Handler); //ɾʼ
    taskEXIT_CRITICAL();            //˳ٽ
}


//task2
void task2_task(void *pvParameters)
{
	//u8 task2_num=0;
	u16 len;

	while(1)
	{
		//task2_num++;	//2ִд1 עtask1_num2ӵ255ʱ㣡
		//printf("2ѾִУ%d\r\n",task2_num);
		if(USART_RX_STA&0x8000)
		{
			len=USART_RX_STA&0x3fff;
			debugcmd_process(USART_RX_BUF,len);

			memset(USART_RX_BUF,0,USART_REC_LEN);
			USART_RX_STA=0;
		}
		else
		{
			vTaskDelay(10); 
		}
	} 
}




