#include "system.h"



static bool systemTest(void);


/*ײӲʼ*/
void systemInit(void)
{
	u8 cnt = 0;
	
	nvicInit();			/*жóʼ*/
	extiInit();			/*ⲿжϳʼ*/	
	delay_init(96);		/*delayʼ*/
	ledInit();			/*ledʼ*/
	ledseqInit();		/*ledгʼ*/
	
	commInit();			/*ͨųʼ  STM32 & NRF51822 */
	atkpInit();			/*Эʼ*/
	consoleInit();		/*ӡʼ*/
	printf("<--------------------->\n");
	
	wifiModuleInit();	/*WIFIģʼ*/
	configParamInit();	/*ʼò*/
	pmInit();			/*Դʼ*/
	stabilizerInit();	/*  PIDʼ*/
	
	if(systemTest() == true)
	{	
		while(cnt++ < 5)	/*ʼͨ ̵ƿ5*/
		{
			ledFlashOne(LED_GREEN_L, 50, 50);
		}			
	}else
	{		
		while(1)		/*ʼ ϺƼ1s5*/
		{
			if(cnt++ > 4)
			{
				cnt=0;
				delay_xms(1000);
			}
			ledFlashOne(LED_RED_R, 50, 50);		
		}
	}
	
	watchdogInit(WATCHDOG_RESET_MS);	/*Źʼ*/
	
}
static bool systemTest(void)
{
	bool pass = true;
	
	pass &= ledseqTest();
	pass &= pmTest();
	pass &= configParamTest();
	pass &= commTest();
	pass &= stabilizerTest();	
	pass &= watchdogTest();
	
	return pass;
}

