#ifndef _DEBUG_CMDSHELL_H_
#define _DEBUG_CMDSHELL_H_


#include "string.h"
#include <ctype.h>
#include "FreeRTOS.h"


#define ARG_NUM    8
#define CMD_LEN    20  
#define CMD_BUF_LEN 60 

//debug xshell  command
typedef struct{
	char const *cmd_name;
	int max_args;		
	void (*handle)(int argc,void *cmd_arg);
	char *help; 
	
}cmd_list_struct;

typedef struct {

    char rec_buf[CMD_BUF_LEN];

    char processed_buf[CMD_BUF_LEN]; 

    int cmd_arg[ARG_NUM];

}cmd_analyze_struct;



void printf_hello(int32_t argc,void *cmd_arg);
void handle_arg(int32_t argc,void * cmd_arg);
void printf_help(int32_t argc,void * cmd_arg);

static int32_t cmd_arg_analyze(char *rec_buf,unsigned int len);
static uint32_t get_true_char_stream(char *dest,const char *src);
void debugcmd_process(u8* data,u8 datalen);
#endif
